ExchangeDSAccessDomainController (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeDSAccessDomainController interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeDSAccessDomainController

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeDSAccessDomainController

extends LogicalElement

Represents the information about the domain controller that is accessible to the exchange server DSAccess service

Naming Rules:
  0="domainControllerName,type"
Persistable:
  true
Table Name:
  EXCHDSADC

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getConfigurationType()` Indicates whether the instance describes a domain controller that was detected automatically, or one that was specified manually Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.ConfigurationType
`java.lang.String` | `getDomainControllerName()` The computer name of the domain controller Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.Name Example attribute content: tv045077.exchange2003.local
`long` | `getLDAPPort()` The TCP/IP port on which the LDAP service listens for LDAP requests Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.LDAPPort Example attribute content: 389
`ExchangeServer` | `getParent()`
`int` | `getType()` The role that the domain controller plays in the Microsoft Exchange system Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.Type
`boolean` | `hasConfigurationType()`
`boolean` | `hasDomainControllerName()`
`boolean` | `hasLDAPPort()`
`boolean` | `hasParent()`
`boolean` | `hasType()`
`void` | `setConfigurationType(int x)`
`void` | `setDomainControllerName(java.lang.String x)`
`void` | `setLDAPPort(long x)`
`void` | `setParent(ExchangeServer x)`
`void` | `setType(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()
                throws AttributeNotSetException

  The role that the domain controller plays in the Microsoft Exchange system Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.Type

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

### getParent

    ExchangeServer getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ExchangeServer x)

### hasParent

    boolean hasParent()

### getConfigurationType

    int getConfigurationType()
                             throws AttributeNotSetException

  Indicates whether the instance describes a domain controller that was detected automatically, or one that was specified manually Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.ConfigurationType

  Throws:
    `AttributeNotSetException`

### setConfigurationType

    void setConfigurationType(int x)

### hasConfigurationType

    boolean hasConfigurationType()

### getLDAPPort

    long getLDAPPort()
                     throws AttributeNotSetException

  The TCP/IP port on which the LDAP service listens for LDAP requests Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.LDAPPort Example attribute content: 389

  Throws:
    `AttributeNotSetException`

### setLDAPPort

    void setLDAPPort(long x)

### hasLDAPPort

    boolean hasLDAPPort()

### getDomainControllerName

    java.lang.String getDomainControllerName()
                                             throws AttributeNotSetException

  The computer name of the domain controller Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_DSAccessDC.Name Example attribute content: tv045077.exchange2003.local

  Throws:
    `AttributeNotSetException`

### setDomainControllerName

    void setDomainControllerName(java.lang.String x)

### hasDomainControllerName

    boolean hasDomainControllerName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD